org.jbpm.workflow.instance.node

## Class StartNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.node.StartNodeInstance

- All Implemented Interfaces:
    Serializable, org.kie.api.runtime.process.NodeInstance

      public class StartNodeInstance
      extends NodeInstanceImpl

  Runtime counterpart of a start node.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `dynamicParameters, logger, slaCompliance, slaDueDate, slaTimerId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StartNode` | `getStartNode()`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `void` | `signalEvent(String type, Object event)`
    `void` | `triggerCompleted()`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, configureSla, executeAction, followConnection, getExecutionErrorHandler, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerCompleted, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartNodeInstance

          public StartNodeInstance()

  - ### Method Detail

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Specified by:
        `internalTrigger` in class `NodeInstanceImpl`

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

    - #### getStartNode

          public StartNode getStartNode()

    - #### triggerCompleted

          public void triggerCompleted()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.